#include <stdio.h>

int main(){
	int i,k,n.broj_crt,broj_zv,broj_vr;
	
	scanf("%d", &n);

	if(n<=0){
		printf("-1\n");
		return 1;
	}
	broj_zv=n-1;
	broj_crt=n-(n-1);
	broj_vr=n;
	for(k=0; k<n; k++){
		for(i=0; i<broj_zv; i++)
		printf("*-");
		for(i=0; i<broj_crt; i++)
		printf("*");
	}
	printf("\n");
	return 0;
}
